Loading...
Searching...
No Matches
cigar.hpp File Reference

Provides the seqan3::cigar alphabet. More...

`#include <seqan3/std/charconv>`
`#include <seqan3/alphabet/adaptation/uint.hpp>`
`#include <seqan3/alphabet/cigar/exposition_only/cigar_operation.hpp>`
`#include <seqan3/alphabet/composite/alphabet_tuple_base.hpp>`
`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`
`#include <seqan3/utility/container/small_string.hpp>`
Include dependency graph for alphabet/cigar/cigar.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::cigar
| The seqan3::cigar semialphabet pairs a counter with a seqan3::cigar::operation letter. More...
struct | seqan3::cigar_printer< cigar >
| The printer used for formatted output of the cigar alphabets. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Other literals
constexpr cigar::operation | seqan3::literals::operator""_cigar_operation (char const c) noexcept
| The seqan3::cigar::operation char literal.

## Detailed Description

Provides the seqan3::cigar alphabet.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me